Upgrading vCenter 5.0 to 5.1 with SSO 5.5

**********************************

כתבתי את הפוסט לפני מספר חודשים אבל הוא נשאר בטיוטות.

אני חושב שזה עדיין רלוונטי, לכן החלטתי לפרסם.

**********************************

לפני כמה זמן יצא לי לבצע שידרוג של vCenter 5.0 לגירסא 5.1.

רציתי לשתף אתכם בכמה דברים שלמדתי בדרך.

מצב נתון:

שרת בודד שמותקן עליו vCenter 5.0 U1 עם כל הרכיבים שלו.

מצב רצוי:

אותו שרת שעליו צריך להיות מותקן vCenter 5.1 U2 (רק ה-vpxd)

שרת שני (חדש) שעליו מותקנים SSO, Web Client ו-Inventory Service.

הכנות מקדימות

1. SSO

הוחלט ללכת על SSO 5.5. זאת תצורה נתמכת (חייבים vCenter 5.1U1 ומעלה). למה 5.5?

 – הוא קל להתקנה, כי אין צורך ב-DB חיצוני

 – יציב יותר

 – יש רפליקציה אוטומטית בתצורת HA / Multi-Site

אם רוצים לעבוד בקונפיגורציה כזאת יש כמה דרישות:

 – חייבים להתקין WebClient 5.5

 – WebClient ו-SSO חייבים להיות מותקנים על אותו שרת

– SSO ו-WebClient לא יכולים לשבת על שרת ה-vCenter, חייבים להתקין אותם על שרת אחר:

SSO_5_5_vCenter_5_1_comp

ה-SSO הותקן מראש על השרת החדש – לא נתקלתי בשום בעיה. רק שימו לב שיש תווים שלא ניתן להשתמש בהם בסיסמה של administrator@vsphere.local. ראו KB בסוף הפוסט.

2. WebClient Server

התקנתי מראש על השרת החדש. לא היו בעיות.

3. Inventory Service

מכיוון ש-Inventory Service צריך לשבת על השרת החדש, גם אותו התקנתי מראש. התקנה פשוטה, עברה חלק.

שידרוג ה-vCenter עצמו:

כשהרצתי התקנה של vCenter כדי לשדרג אותו, מיד קיבלתי שגיאה על כך שזוהתה התקנה של Inventory Service 5.0 על השרת ולא ניתן להמשיך.

בגירסא 5.0 ה-Inventory Service הוא service נפרד אבל לא ניתן להתקין\להסיר את הרכיב בנפרד.

לכן נאלצתי להסיר את ההתקנה של vCenter ולהתקין אותו שוב (הצבעתי לאותו DB כמובן).

השידרוג עבר בלי בעיות.

מקורות:

Supported vCenter Single Sign-On 5.5 configuration and interoperability with vSphere 5.1

VMware vCenter Single Sign-On Server 5.5 FAQs

Installing vCenter Single Sign-On 5.5 fails if the password for administrator@vsphere.local contains certain special character

מיכאל.

כתיבת תגובה

האימייל לא יוצג באתר. שדות החובה מסומנים *

*